# Overview
---

Adds a variety of toggleable Mercenary tweaks

M1 Attack Speed Fix, enabled by default, makes merc's 3rd m1 unaffected by attack speed, allowing you to take attack speed items without worrying about your m1 extension timing, breaks at 18.0 attack speed for some reason

M2 Attack Speed Ignore, enabled by default, makes Whirlwind and Rising Thunder completely unaffected by attack speed, keeping their movement utility and combo timing consistent throughout the run

Full Jump Reset, disabled by default, resets ALL of your jumps on kill, including your ground jump, pretty fun, but very cursed looking

Extra Jump On Kill, enabled by default, gives you a jump back when killing an enemy

Single Target Eviscerate, enabled by default, makes eviscerate target a single enemy at a time, and targets the lowest health enemy, great synergy with Massacre and Slayer

Eviscerate Massacre Upgrade, enabled by default, adds the Massacre upgrade from StandaloneAncientScepter, but with the 2x duration removed, resets Eviscerate's duration on kill, allowing you to chain-kill groups of enemies

Eviscerate Slayer Upgrade, enabled by default, gives Eviscerate the "slayer" tag, making it deal more damage to lower health enemies

Eviscerate Damage Coefficient, 1.1 by default, allows you to change how much damage each hit deals to suit your preference

# Credits
---
* Withor⛧#9994, wrote the majority of the code for these tweaks
* HIFU, helped me fix some of my code, and make it look nicer
* DestroyedClone and Thinkinvisible, wrote the code for the StandaloneAncientScepter mod, and allowed me to use some of it for this mod
* FancyFrenc on the official discord for the idea for the jump reset tweaks
* various others in the modding discord, and modding channel of the official discord, for helping me make this whole thing work!

# Changelog
---

1.1.3
* fixed Eviscerate targetting allies even when unable to damage them, which was a vanilla bug, made worse by completely burning your evis if SingleTargetEviscerate targeted an ally

1.1.2
* fixed the plugin name and version being outdated in the dll, causing the config to use the old mod name

1.1.1
* fixed a typo on the mod page, "give you a jump"

1.1.0
* fixed SingleTargetEviscerate never switching targets (ty Withor)
* changed Massacre to make you re-enter the evis state, rather than just resetting the duration itself, which should help prevent future issues (ty again Withor)
* added EvisSlayer and EvisDamage, for more customizability and synergy with other tweaks (Withor helped with these too)
* fixed a couple tweaks claiming to be unimplemented in the configs, despite being implemented on mod release
* re-ordered the change log to show the most recent update first, not sure why I didn't do that to begin with

1.0.1
* fixed an issue with SingleTargetEviscerate not being disabled when set to false, currently working on issues with it not switching targets once the initial target dies

1.0.0
* released

